| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ContactCapabilitiesMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, RequestableChannelClassList >.

## Public Member Functions

| ContactCapabilitiesMap ()
| ContactCapabilitiesMap (const QMap< uint, RequestableChannelClassList > &a)
ContactCapabilitiesMap & | operator= (const QMap< uint, RequestableChannelClassList > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, RequestableChannelClassList>, but needed to have a discrete type in the Qt type system.

A mapping from contact handle to their capabilities.

## Constructor & Destructor Documentation

Tp::ContactCapabilitiesMap::ContactCapabilitiesMap | ( |  | ) |

inline

Tp::ContactCapabilitiesMap::ContactCapabilitiesMap | ( | const QMap< uint, RequestableChannelClassList > & | a | ) |

inline

## Member Function Documentation

ContactCapabilitiesMap& Tp::ContactCapabilitiesMap::operator= | ( | const QMap< uint, RequestableChannelClassList > & | a | ) |

inline